Package com.arms.api.util

## Class HighlightingCompositeConverterCustom

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.pattern.CompositeConverter<E>
        - - ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<ch.qos.logback.classic.spi.ILoggingEvent>
          - - com.arms.api.util.HighlightingCompositeConverterCustom

- All Implemented Interfaces:
    `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.LifeCycle`

      public class HighlightingCompositeConverterCustom
      extends ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<ch.qos.logback.classic.spi.ILoggingEvent>

- - ### Field Summary

    - ### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

      `started`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HighlightingCompositeConverterCustom()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getForegroundColorCode​(ch.qos.logback.classic.spi.ILoggingEvent event)` |

    - ### Methods inherited from class ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase

      `transform`

    - ### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

      `convert, getChildConverter, setChildConverter, toString`

    - ### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

      `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

    - ### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

      `getFormattingInfo, setFormattingInfo, write`

    - ### Methods inherited from class ch.qos.logback.core.pattern.Converter

      `getNext, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HighlightingCompositeConverterCustom

          public HighlightingCompositeConverterCustom()

  - ### Method Detail

    - #### getForegroundColorCode

          protected java.lang.String getForegroundColorCode​(ch.qos.logback.classic.spi.ILoggingEvent event)

      Specified by:
        `getForegroundColorCode` in class `ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<ch.qos.logback.classic.spi.ILoggingEvent>`